Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceReportsService

public interface VoiceReportsService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `getOperatorList()`
  `String`
  `getParameter(String key)`
  `String`
  `getParameters(String reportType)`
  `String`
  `getReportCSV(String reportType, LocalDate period)`
  `String`
  `getReportRecords(String reportType, LocalDate period)`
  `void`
  `updateParameter(String key, String value)`

- ## Method Details

  - ### getParameter

    String getParameter(String key) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getParameters

    String getParameters(String reportType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateParameter

    void updateParameter(String key, String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getReportRecords

    String getReportRecords(String reportType, LocalDate period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getReportCSV

    String getReportCSV(String reportType, LocalDate period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getOperatorList

    List<IdTitle> getOperatorList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`